Skip to main content
GET
/
ai-agents
/
agent-builder
/
tools
/
agent
/
{agentUid}
List Tool Integrations
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/tools/agent/{agentUid} \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "slug": "gmail",
      "name": "Gmail",
      "icon": "https://example.com/gmail-icon.png",
      "description": "Gmail integration for sending and managing emails",
      "actions": [
        {
          "name": "GMAIL_SEND_EMAIL",
          "displayName": "Send Email"
        }
      ],
      "isAuthenticated": false
    }
  ],
  "meta": {
    "previous": {
      "affix": "prepend",
      "createdAt": 1700000000000
    },
    "current": {
      "limit": 10,
      "count": 5
    },
    "next": {
      "affix": "append",
      "createdAt": 1700000000000
    }
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

agentUid
string
required

AI Agent UID

Query Parameters

slug
string

Optional slug to filter integration (e.g., gmail, googlesheets)

limit
number
affix
enum<string>
Available options:
prepend,
append
createdAt
number

Search term for tool name or slug

Response

Available tool integrations retrieved successfully

data
object[]
meta
object